import React from 'react';
import { FoundationTheme } from '@nuskin/foundation-theme';

import type { HeaderProps } from './types.d';
import { NsIconNameType } from '../icon/types';

export const colorMap: { [key: string]: FoundationTheme.PaletteColors } = {
    error: 'error',
    notice: 'info',
    success: 'secondary',
    warning: 'warning',
    default: 'info',
};

export const iconMap: { [key: string]: NsIconNameType } = {
    error: 'alertError',
    success: 'success',
    warning: 'warning',
    default: 'infoFilled',
};

const Header: React.FC<HeaderProps> = ({ children, head }) => (
    <>
        {children}
        {head}
    </>
);

export default Header;
