import { NsButton, NsIcon } from '../';
import { NsCardButton } from './types';

const CardButton = ({
    url,
    endIcon,
    buttonText,
    showButton = true,
    buttonVariant = 'outlined',
    buttonColor = 'primary',
    fullWidth = false,
    showArrowWithText = false,
}: NsCardButton) => {
    if (showButton && url) {
        return (
            <div className="cta">
                <NsButton
                    href={url}
                    color={buttonColor}
                    variant={buttonVariant}
                    fullWidth={fullWidth}
                    endIcon={
                        showArrowWithText && buttonVariant === 'text' ? (
                            <NsIcon name="arrowRight" size="small" color="primary" />
                        ) : endIcon ? (
                            <NsIcon name={endIcon} color={buttonColor} />
                        ) : null
                    }
                >
                    {buttonText}
                </NsButton>
            </div>
        );
    }
    return null;
};

export default CardButton;
