import type { StoryObj, Meta } from '@storybook/react';
import { withCenterDecorator } from '@/stories/decorators/withCenterDecorator';
import { NsLargeCard } from '../';

type ComponentType = typeof NsLargeCard;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    component: NsLargeCard,
    title: 'Components/Containers/Card/NsLargeCard',
    decorators: [withCenterDecorator],
} as MetaStory;

const host = 'https://media.nuskin.com';

export const Default: Story = {
    args: {
        isHorizontal: false,
        title: 'Personal Care',
        subtitle: 'Subtitle',
        intro: 'Nu Skin® product lines combine nature and science for skincare benefits you can see and feel.',
        backgroundImageUrl: `${host}/m/95f9cf4143e3882/Small-About_Us-Personal-Care-Products-Image.jpg`,
        backgroundImageAlt: 'Facial Moisturizers',
        button: {
            showButton: true,
            buttonText: 'REVEAL YOUR BEST SKIN',
            buttonVariant: 'outlined',
            buttonColor: 'primary',
            url: 'https://www.forceforgood.org/',
            endIcon: 'cart',
        },
    },
};
