import { NsImageProps } from './types.d';

// eslint-disable-next-line no-unused-vars
const NsImage = ({ src, width, height, alt, variant, ...rest }: NsImageProps) => {
    let cHeight, cWidth;
    switch (variant) {
        case 'product':
            cHeight = 300;
            cWidth = 300;
            break;
        case 'icon':
            cHeight = 60;
            cWidth = 60;
            break;
        case 'award':
            cHeight = 130;
            cWidth = 130;
            break;
        case 'fill':
            cHeight = 'auto';
            cWidth = '100%';
            break;
        default:
            cHeight = height;
            cWidth = width;
            break;
    }
    // eslint-disable-next-line @next/next/no-img-element
    return <img src={src} alt={alt} height={cHeight} width={cWidth} {...rest} />;
};
export default NsImage;
