import { NsIcon } from '../..';
import { DialogTitle } from '@mui/material';
import { CloseButton, NsInfoWrapper } from '../NsModal.styled';
import { NsModalComponentProps } from '../types';
import { Show } from '../../utility';

const NsModalTitle = ({ header, handleClose }: NsModalComponentProps) => {
    const { show, children, isCloseIcon, iconName } = header || {};
    return (
        <Show when={show}>
            <DialogTitle data-testid="modal-title">
                <NsInfoWrapper>
                    {iconName ? <NsIcon name={iconName} className="title-icon" /> : null}
                    {children}
                </NsInfoWrapper>
                <Show when={isCloseIcon}>
                    <CloseButton aria-label="close" onClick={handleClose} data-testid="modal-close-button">
                        <NsIcon name="close" size="small" />
                    </CloseButton>
                </Show>
            </DialogTitle>
        </Show>
    );
};

export default NsModalTitle;
