import { ReactNode } from 'react';
import { NsIconNameType } from '../icon';

export interface DialogTitleProps {
    id: string;
    children?: ReactNode;
    onClose: () => void;
}

export interface NsModalProps extends NsModalComponentProps {
    open: boolean;
}

export interface NsModalComponentProps {
    handleClose?: () => void;
    additionalProps?: NsModalAdditionalProps;
    variant?: NsModalVariant | 'default';
    header?: NsModalContentProps;
    body?: NsModalContentProps;
    footer?: NsModalContentProps;
    statusInfo?: NsModalStatusProps;
}

export interface NsModalContentProps {
    show?: boolean;
    children?: string | ReactNode;
    isCloseIcon?: boolean;
    iconName?: NsIconNameType;
}

export interface NsModalStatusProps {
    title: string;
    description: string;
}

export interface NsModalAdditionalProps {
    className?: string;
    scrollType?: 'paper' | 'body';
    ariaLabel?: NsModalAriaLabelProps;
    dividers?: boolean;
}

export interface NsModalAriaLabelProps {
    ariaLabelledby?: string;
    ariaDescribedby?: string;
}

export type NsModalVariant = 'success' | 'warning' | 'error' | 'info';

export interface StatusIconMapProps {
    success: string;
    warning: string;
    error: string;
    info: string;
    default?: string;
}
