import type { NsTablePaginationProps } from './types'
import React from 'react'
import { StyledPagination } from './NsTable.styled'

export default function NsTablePagination(props: NsTablePaginationProps) {
    const {
        count,
        rowsPerPage,
        page,
        onPageChange,
    } = props;

    const totalPage = Math.ceil(count / rowsPerPage);
    const handleChange = (event: React.ChangeEvent<unknown>, value: number) => {
        onPageChange(value);
    };

    return (
        <StyledPagination
            count={totalPage}
            page={page} 
            variant="outlined"
            onChange={handleChange}
            shape="rounded"
            color="primary"
        />
    );
}
