import React from 'react';
import { render, screen } from '@testing-library/react';
import { NsTextStrip } from '@/common/';

describe('NsTextStrip component', () => {
    it('renders text description and link', () => {
        const text = 'Free Delivery';
        const description = 'Download the app to access everything Nike';
        const link = { href: 'https://www.nike.com/in/help/a/shipping-delivery-gs', title: 'View Details' };
        render(<NsTextStrip link={link} description={description} text={text} />);
        const element = screen.getByText(text);
        expect(element).toBeInTheDocument();
        const descElement = screen.getByText(description);
        expect(descElement).toBeInTheDocument();
        const anchorElement = screen.getByText(link.title);
        expect(anchorElement.tagName).toBe('A');
        expect(anchorElement).toHaveAttribute('href', link.href);
    });
    it('does not have anchor when link is undefined', () => {
        const text = 'Free Delivery';
        const description = 'Download the app to access everything Nike';
        let link = { title: 'hi' };
        render(<NsTextStrip link={link} description={description} text={text} />);
        const element = screen.getByText(text);
        expect(element).toBeInTheDocument();
        const descElement = screen.getByText(description);
        expect(descElement).toBeInTheDocument();
        expect(() => screen.getByText(link.title)).toThrow();
    });
});
