import React, { PropsWithChildren } from 'react';
import { HtmlTagVariant, NsTypographyProps } from './types.d';
import { StyledTypography } from './Typography.styled';
import HtmlTagVariantMapping from './HtmlTagVariantMap';

const NsTypography = ({
    children,
    weight = 'normal',
    className = '',
    variant = 'body-l',
    decoration = 'none',
    color = 'primary',
    additionalProps = {},
    colorOverride = '',
    noSpacing = false,
    renderHTMLNode,
}: PropsWithChildren<NsTypographyProps>) => {
    const htmlTagVariant: HtmlTagVariant | undefined = renderHTMLNode ? HtmlTagVariantMapping[variant] : undefined;

    return (
        <StyledTypography
            noSpacing={noSpacing}
            as={htmlTagVariant}
            className={className}
            weight={weight}
            variant={variant}
            decoration={decoration}
            colorOverride={colorOverride}
            color={color}
            {...additionalProps}
        >
            {children}
        </StyledTypography>
    );
};

export default NsTypography;
