import { FoundationTheme } from '@nuskin/foundation-theme';
import { AdditionalProps } from '../common.types';

export type Variants =
    | 'h1'
    | 'h2'
    | 'h3'
    | 'h4'
    | 'h5'
    | 'h6'
    | 'title-l'
    | 'title-m'
    | 'title-s'
    | 'label-l'
    | 'label-m'
    | 'label-s'
    | 'body-xl'
    | 'body-l'
    | 'body-m'
    | 'body-s'
    | 'body-xs'
    | 'CTA';

export type HtmlTagVariant = 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6' | 'span' | 'p' | 'label';

export type NsTypographyProps = {
    variant: Variants;
    decoration?: 'underline' | 'none';
    weight?: 'bold' | 'normal' | 'light';
    color?: FoundationTheme.PaletteColors;
    component?: 'div' | 'span' | 'p';
    as?: HtmlTagVariant;
    className?: string;
    colorOverride?: string;
    renderHTMLNode?: boolean;
    noSpacing?:boolean;
} & AdditionalProps;
