/**
 * @author [Vijayaprathap Kumar] (vpkumar@nuskin.com)
 * NsVideo.stories.tsx
 * @description NsVideo component.
 */

import type { Meta, StoryObj } from '@storybook/react';

import { NsVideo } from '.';
import { withCenterDecorator } from '@/stories/decorators/withCenterDecorator';

type ComponentType = typeof NsVideo;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    title: 'Components/Data Display/NsVideo',
    component: NsVideo,
    decorators: [withCenterDecorator],
    argTypes: {
        allowFullScreen: { control: 'boolean' },
    },
    args: {
        src: 'https://www.youtube.com/embed/UdpWdhi0pdI',
        title: 'Nuskin Iframe',
        width: '560',
        height: '315',
        allowFullScreen: true,
    },
} as MetaStory;

export const Basic: Story = {};
